﻿@using ASP.NET_MVC5_WebShopExample.Models
@using ASP.NET_MVC5_WebShopExample.Models.ViewModels
@model ProductCreateSpecificationsViewModel
@{
    ViewBag.Title = $"Create specifications of {Model.Product.Name}";
    var Specification = new Specification();
    Specification.ProductId = Model.Product.ProductId;
    var ST = new SpecificationType();
    var SelectListSpecificationTypes = new SelectList(Model.Product.Category.SpecificationTypes, nameof(ST.SpecificationTypeId), nameof(ST.Name));
    var navigationStepViewModel = new ProductCreateNavigationStepViewModel()
    {
        NavigationStep = ProductCreateNavigationStep.CreateSpecifications
    };
    var specificationsTableViewModel = new SpecificationsTableViewModel()
    {
        Product = Model.Product,
        IsShowFooter = false,
        IsShowCaption = false,
        IsShowActionButtons = true
    };
}
<h2>Create specifications of @Model.Product.Name</h2>

@using (Html.BeginForm())
{
    @Html.Partial("_CreateNavigationStep", navigationStepViewModel);
    @Html.Partial("_SpecificationsTable", specificationsTableViewModel);
    @Html.AntiForgeryToken();
    @Html.HiddenFor(model => Specification.ProductId);
    <div class="form-horizontal">
        @Html.ValidationSummary()
        <div class="form-group">
            @Html.LabelFor(model => Specification.Value, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => Specification.Value, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => Specification.Value, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => Specification.SpecificationTypeId, "SpecificationTypeId", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownListFor(model => Specification.SpecificationTypeId, Model.SelectListSpecificationTypes, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => Specification.SpecificationTypeId, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-primary" />
                @Html.ActionLink("Upload images", "UploadImages", "Products", new { id = Model.Product.ProductId }, new { @class = "btn btn-success" })
                @Html.ActionLink("Complete", "Details", "Products", new { id = Model.Product.ProductId }, new { @class = "btn btn-default" })
            </div>
        </div>
    </div>
}
